Subject: bug#32378: [PATCH] bibtex-next/previous-entry

From: Alex Branham <[email-masked]>
Date: Tue, 07 Aug 2018 08:07:12 -0500

On Tue 07 Aug 2018 at 04:19, Basil L. Contovounesios <[email-masked]> wrote:

> Are these commands (or could they be made) suitable for use with
> beginning-of-defun-function and end-of-defun-function, as discussed in
> the following messages?
>
> https://lists.gnu.org/archive/html/emacs-devel/2018-05/msg00820.html
> https://lists.gnu.org/archive/html/emacs-devel/2018-05/msg00821.html

Thanks for bringing those to my attention; I don't subscribe to emacs-devel.

We could certainly modify bibtex-beginning-of-entry to take an optional
argument that allows it to move past the current entry if point is
already at the beginning. I wouldn't want to modify the current behavior
because other packages rely on bibtex-beginning/end-of-entry not to move
past the current one (e.g. bibtex-completion.el and org-ref.el).